ru.bitel.bgbilling.kernel.task.common.bean

## Class SchedulerTaskLog

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.bgbilling.kernel.task.common.bean.SchedulerTaskLog

- All Implemented Interfaces:
    java.io.Serializable, Idable

      public class SchedulerTaskLog
      extends Id

  Лог выполнения задачи планировщика: какая задача, когда была запущена, когда закончила свою работу, время выполнения.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchedulerTaskLog()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getDuration()` Продолжительность выполнения задачи в миллисекундах.
    `long` | `getFinishTime()` Получение даты и времени окончания выполнения задачи.
    `long` | `getStartTime()` Получение даты и времени начала выполнения задачи.
    `int` | `getTaskId()` Получение кода выполненной задачи.
    `java.lang.String` | `getTaskTitle()` Получение названия выполненной задачи
    `void` | `setFinishTime(long finishTime)` Установка даты и времени окончания выполнения задачи.
    `void` | `setStartTime(long startTime)` Установка даты и времени начала выполнения задачи.
    `void` | `setTaskId(int taskId)` Установка кода выполненной задачи.
    `void` | `setTaskTitle(java.lang.String taskTitle)` Установка названия выполненной задачи.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SchedulerTaskLog

          public SchedulerTaskLog()

  - ### Method Detail

    - #### getTaskId

          public int getTaskId()

      Получение кода выполненной задачи.
      Returns:
        код выполненной задачи.

    - #### setTaskId

          public void setTaskId(int taskId)

      Установка кода выполненной задачи.
      Parameters:
        `taskId` - код выполненной задачи.

    - #### getTaskTitle

          public java.lang.String getTaskTitle()

      Получение названия выполненной задачи
      Returns:
        the taskTitle название выполненной задачи

    - #### setTaskTitle

          public void setTaskTitle(java.lang.String taskTitle)

      Установка названия выполненной задачи.
      Parameters:
        `taskTitle` - название выполненной задачи

    - #### getStartTime

          public long getStartTime()

      Получение даты и времени начала выполнения задачи.
      Returns:
        дата и время начала выполнения задачи.

    - #### setStartTime

          public void setStartTime(long startTime)

      Установка даты и времени начала выполнения задачи.
      Parameters:
        `startTime` - дата и время начала выполнения задачи.

    - #### getFinishTime

          public long getFinishTime()

      Получение даты и времени окончания выполнения задачи.
      Returns:
        дата и время окончания выполнения задачи.

    - #### setFinishTime

          public void setFinishTime(long finishTime)

      Установка даты и времени окончания выполнения задачи.
      Parameters:
        `finishTime` - дата и время окончания выполнения задачи.

    - #### getDuration

          public long getDuration()

      Продолжительность выполнения задачи в миллисекундах. Вычисляется на основе полей `startTime` и `finishTime`.
      Returns:
        the duration

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `Id`